<!--The content below is only a placeholder and can be replaced.-->
<div style="text-align:center">
  <!--<h1>
    Welcome to {{ title }}!
  </h1>-->
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <img width="200" alt="Cidenet Logo" src="https://www.cidenet.com.co/wp-content/uploads/2021/04/cidenet-software-a-la-medida-medellin-black.png">
      </div>
      <div class="col-md-20">
        <div class="div card">
          <div class="card-body">
            <table class = "table table-hover">
              <thead>
                <th scope="col">Cedula</th>
                <th scope="col">Primer apellido</th>
                <th scope="col">Segundo Apellido</th>
                <th scope="col">Primer Nombre</th>
                <th scope="col">Otros nombres</th>
                <th scope="col">Tipo de Docto</th>
                <th scope="col">Pais</th>
                <th scope="col">Area </th>
                <th scope="col">Correo</th>
                <th scope="col">Estado</th>
                <th scope="col">Fecha Ingreso</th>
                <th scope="col">Fecha Registro</th>
              </thead>
              <tbody>
                <tr *ngFor = "let empleado of empleadoArray"
                (click) = "seleccionar(empleado)"
                [class.active] = "empleado == selectedEmpleado">
                  <td>{{empleado.num_id}}</td>
                  <td>{{empleado.primer_apellido}}</td>
                  <td>{{empleado.segundo_apellido}}</td>
                  <td>{{empleado.primer_nombre}}</td>
                  <td>{{empleado.otros_nombres}}</td>
                  <td>{{empleado.tipo_id}}</td>
                  <td>{{empleado.pais}}</td>
                  <td>{{empleado.area}}</td>
                  <td>{{empleado.correo}}</td>
                  <td>{{empleado.estado}}</td>
                  <td>{{empleado.fecha_ingreso}}</td>
                  <td>{{empleado.fecha_registro}}</td>
                </tr>  
              </tbody>
            </table>
          </div>
        </div>
        <div class="div card">
          <div class="card-body">
            <div class="card-title">
              Ingrese un nuevo empleado
            </div>
            <div class="form-group">
              <input type="text" [(ngModel)]="selectedEmpleado.num_id"  class="form-control" placeholder="Inserte numero de documento"/>
              <div *ngIf="validacionNumid()" class="alert alert-danger">Solo se permiten 20 caracteres</div>
            </div>
            <div class="form-group">
              <input type="text" MaxLength=21 [(ngModel)]="selectedEmpleado.primer_apellido" pattern="[A-Z ]*" class="form-control" placeholder="Primer Apellido" required/>
              <div *ngIf="validacionCadena()" class="alert alert-danger">Solo se permiten 20 caracteres</div>
            </div>
            <div class="form-group">
              <input type="tex" [(ngModel)]="selectedEmpleado.segundo_apellido" class="form-control" placeholder="Segundo Apellido"/>
            </div>
            <div class="form-group">
              <input type="text" [(ngModel)]="selectedEmpleado.primer_nombre" class="form-control" placeholder="Primer Nombre"/>
            </div>
            <div class="form-group">
              <input type="text" [(ngModel)]="selectedEmpleado.otros_nombres" class="form-control" placeholder="Otros Nombres"/>
            </div>
            <div class="form-group">
                <select class="form-control" [(ngModel)]="selectedEmpleado.tipo_id" placeholder="Tipo de Docto">
                  <option disabled selected>Selecciona una opción</option>
                  <option value="Cedula">Cedula</option>
                  <option value="Pasaporte">Pasaporte</option>
                  <option value="Cedula_Extranjeria">Cedula Extranjeria</option>
                  <option value="Permiso_Especial">Permiso Especial</option>
                </select>
            </div>
            <div class="form-group">
              <select class="form-control" [(ngModel)]="selectedEmpleado.pais" placeholder="Pais">
                <option disabled selected>Selecciona una opción</option>
                <option value="Colombia" >Colombia</option>
                <option value="Estados_unidos">Estados Unidos</option>
              </select>
            </div>
            <div class="form-group">
                <select class="form-control" [(ngModel)]="selectedEmpleado.area" placeholder="Area">
                  <option disabled selected>Selecciona una opción</option>
                  <option value="Tecnologia" >Tecnologia</option>
                  <option value="Gestion_Humana">Gestion Humana</option>
                  <option value="Contabilidad">Contabilidad</option>
                  <option value="Mercadeo">Mercadeo</option>
                </select>
            </div>
            <div class="form-group">
              <input  type="email" [value]="correo()"   class="form-control" placeholder="Correo" disabled/>
            </div>
            <div class="form-group">
              <div class="form-group">
                <input  type="text" [value]="selectedEmpleado.estado"   class="form-control" placeholder="estado" disabled/>
              </div>
            </div>
            <div class="form-group">
              <input type="date" [(ngModel)]="selectedEmpleado.fecha_ingreso" class="form-control" placeholder="Fecha Ingreso"/>
              <div *ngIf="fecha()" class="alert alert-danger">La Fecha de ingreso no puede ser mayor</div>
            </div>
            <div class="form-group">
              <button class="btn btn-primary" (click)="guardar()">
                Guardar
              </button>
              <button class="btn btn-danger" (click)="nuevo()">
                Nuevo
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  
</div>

